org.apache.tinkerpop.gremlin.structure

## Annotation Type Graph.OptOut

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
       @Repeatable(value=Graph.OptOuts.class)
       @Inherited
      public static @interface Graph.OptOut

  Defines a test in the suite that the implementer does not want to run.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `method` The specific name of the test method to opt out of or asterisk to opt out of all methods in a `test()`.
    `String` | `reason` The reason the implementation is opting out of this test.
    `String` | `test` The test class to opt out of.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `computers` The list of `GraphComputer` implementations by class name that a test should opt-out from using (i.e.
    `String` | `specific` For parameterized tests specify the name of the test itself without its "square brackets".

- - ### Element Detail

    - #### test

          public abstract String test

      The test class to opt out of. This may be set to a base class of a test as in the case of the Gremlin process class of tests from which Gremlin flavors extend. If the actual test class is an inner class of then use a "$" as a separator between the outer class and inner class.

  - - #### method

          public abstract String method

      The specific name of the test method to opt out of or asterisk to opt out of all methods in a `test()`.

  - - #### reason

          public abstract String reason

      The reason the implementation is opting out of this test.

  - - #### specific

          public abstract String specific

      For parameterized tests specify the name of the test itself without its "square brackets".
      Default:
        ""

  - - #### computers

          public abstract String[] computers

      The list of `GraphComputer` implementations by class name that a test should opt-out from using (i.e. other graph computers not in this list will execute the test). This setting should only be included when the test is one that uses the `TraversalEngine.COMPUTER` - it will otherwise be ignored. By default, an empty array is assigned and it is thus assumed that all computers are excluded when an `OptOut` annotation is used, therefore this value must be overridden to be more specific.
      Default:
        {}

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.